
   ********************************************************************
   ***   Exportformular fr KONTO - MANAGER   (Datei-Export-Demo)   ***
   ********************************************************************

   Dieses Formular exportiert die Buchungen in eine ASCII-Datei, aus
   welcher die Buchungen dann in beliebige andere Programme mit einer
   ASCII-Schnittstelle importiert werden knnen. Damit knnen die Daten
   von KONTO-MANAGER sehr einfach und flexibel in andere Programme wie
   z. B. Datenbanken oder Tabellen-Kalkulationen bernommen werden.

   Das Formular enthlt hierzu keinen Anfangs- und keinen Schlubereich
   (.A und .S), da diese i. d. R. bei Export-Dateien nicht bentigt werden.
   Falls die Export-Datei jedoch einen bestimmten Header erhalten soll
   knnen Sie diesen als Anfangsbereich (.A) des Formulars definieren.

   Die Kopf- und Fubereiche mssen zwar aufgrund der internen Auswertung
   der Formulare von KONTO-MANAGER vorhanden sein, sind jedoch 0 Zeilen
   lang, so da diese beiden Bereiche bei der Ausgabe ignoriert werden.

   Die einzelnen Felder einer Buchung werden durch jeweils ein Leerzeichen
   voneinander getrennt. Sie knnen jedoch als Trennzeichen auch ein Komma
   oder Semikolon schreiben, falls die Import-Funktion Ihres Programms ein
   anderes Trennzeichen zwischen den einzelnen Datenfeldern erwartet.

   Falls Zeichenketten fr Ihr Import-Programm in "" eingeschlossen werden
   mssen, so schreiben Sie einfach "[   Z   ]", um z. B. den Zweck als
   Zeichenkette mit "" begrenzt auszugeben.

   Beachten Sie auch, da die Art des Dezimalzeichens (Komma oder Punkt)
   von dem von Ihnen in der Installation angegebenen Dezimalzeichen abhngt.
   Die Import-Funktionen anderer Programme sind hier oft unterschiedlich,
   soda Sie evtl. das Dezimalzeichen vorbergehend ndern mssen, damit
   die Betrge von der Import-Funktion des anderen Programms korrekt
   eingelesen und interpretiert werden knnen.

   Beachten Sie bei nderungen des Formulars bitte, da das Formular
   unbedingt wieder als reine ASCII-Datei abgespeichert werden mu!



.K  (Kopfbereich)
.D  (Datenbereich)
[N  ] [  D   ] [         Z         ] [     A     ] [     E     ] [     S     ]
.F  (Fubereich)
.E  (Endekennung)



Als Befehl zur Steuerung der Export-Funktion gengt die Angabe der
Exportdatei, in welche die Daten ausgegeben werden. Es gengt hier
die Angabe des Dateinamens, bei Bedarf kann aber auch ein Zielpfad
und/oder ein Suchpfad mit angegeben werden. Sobald eine Exportdatei
angegeben ist erfolgt die Ausgabe bei Verwendung dieses Formulars
autom. in diese Datei anstatt wie sonst blich auf den Drucker.

export=export.dat            Name der Exportdatei
bit7=J                       Bit 7 wird ausgegeben (J=ja)

Alle Zeilen in der Datei werden mit CR/LF (Carrig-Return / LineFeed)
beendet. Soll dies ebenfalls unterdrckt werden, so schreiben Sie hier
einfach noch den Befehl CRLF=N, damit werden dann die einzelnen Zeilen
fortlaufend ohne Trennung in die Exportdatei geschrieben.


Hier nun nochmal eine Beschreibung aller fr den Daten-Export ber
diese Druckformulare relevanten Befehle. Die Befehle werden hier jedoch
mit einem '-' am Zeilenanfang unwirksam gemacht, um keine ungewollten
Effekte zu erzielen. Wenn Sie einen oder mehrere dieser Befehle bentigen
ist es ratsam, sie einfach weiter oben ber oder unter die Befehlszeile
'export=export.dat' zu schreiben. Auer dem Befehl 'EXPORT=' fr die
Angabe der Zieldatei sind alle weiteren Befehle optional. Die Angaben
fr die Standard-Einstellungen finden Sie in der Datei STANDARD.FOR.


-EXPORT=        Definiert eine Export-Datei, in welche die Druckausgabe
                umgeleitet wird. Damit haben Sie die Mglichkeit, Ihre
                Buchungen in eine Datei mit beliebigem Aufbau auszugeben,
                welche dann wiederum von anderen Programmen gelesen wird.
                Hinter dem Gleichheitszeichen steht der Dateiname, wobei
                die Angabe eines Laufwerks und/oder Suchpfads mglich ist.
                Ist diese Datei schon vorhanden wird sie berschrieben!

-CRLF=          Damit knnen Sie die Ausgabe von CR/LF (Carrige Return /
                LineFeed, ASCII 13/10) am Ende jeder Zeile der Export-Datei
                unterdrcken. Dieser Befehl wird nur fr die Export-Funktion
                ausgewertet und spielt bei normaler Druckausgabe keine Rolle.
                Die Vorgabe ist CRLF=J, wenn der Befehl nicht vorhanden ist.

-BIN=           Damit knnen Sie angeben, da alle im Formular angegeben
                Steuerzeichen fr den Drucker auch in die Export-Datei
                geschrieben werden (binr). Fr den Export von Buchungen in
                andere Programme ist dies wenig sinnvoll, aber Sie haben
                damit die Mglichkeit, den gesamten Druck vollstndig mit
                allen Steuerbefehlen in eine Datei umzuleiten. Diese Datei
                knnen Sie dann z. B. auf einem anderen PC mit dem Befehl
                'copy dateiname lpt1' auf den Drucker ausgeben, genauso als
                wrde der Druck direkt von KONTO-MANAGER aus erfolgen.
                Der Befehl BIN= mu auch eingeschaltet sein, wenn ein FF
                (FormFeed) in die Exportdatei geschrieben werden soll.
                Dieser Befehl wird nur fr die Export-Funktion ausgewertet.
                Die Vorgabe ist BIN=N, wenn der Befehl nicht vorhanden ist.

-BIT7=          Wird dieser Befehl ausgeschaltet, so wird bei jedem Zeichen
                das 7. Bit zurckgesetzt, es werden also ausschlielich die
                Zeichen bis ASCII-Wert 127 in die Exportdatei ausgegeben.
                Dies kann in Ausnahmefllen ntig sein, wenn das Programm,
                das die Exportdaten aufnehmen soll, Zeichen ber ASCII-127
                falsch oder garnicht interpretiert. Die Umlaute und einige
                andere Sonderzeichen gehen hierbei jedoch verloren und werden
                beim Lschen des 7. Bits evtl. in Steuerzeichen umgewandelt!
                Dieser Befehl ist nur fr die Export-Funktion sinnvoll.
                Die Vorgabe ist BIT7=J, wenn der Befehl nicht vorhanden ist.


                     ***  Ende des Formulars  ***

